Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 192474 - A11Y: Buttons in Output window don't have A11Y names + are not reachable by keyboard
A11Y: Buttons in Output window don't have A11Y names + are not reachable by k...
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Output Window
7.0
PC Linux
: P2 (vote)
: 7.0
Assigned To: Martin Entlicher
issues@platform
: A11Y
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-25 14:47 UTC by Jiri Kovalsky
Modified: 2011-01-09 06:23 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Kovalsky 2010-11-25 14:47:38 UTC
Product Version: NetBeans IDE Dev (Build 201011250001)
Java: 1.6.0_17; Java HotSpot(TM) Client VM 14.3-b01
System: Linux version 2.6.31-22-generic running on i386; UTF-8; en_US (nb)
Userdir: /home/cesilko/.netbeans/dev

Buttons "Re-run", "Re-run with Different Parameters", "Stop" and "Ant Settings" don't have accessible names set and there is no way for blind people to push them, because Tab does nothing and the buttons have no mnemonic set.

No Accessible name :
javax.swing.JButton {  |  Ant Settings } 
javax.swing.JButton {  |  Stop } 
javax.swing.JButton {  |  Re-run with Different Parameters } 
javax.swing.JButton {  |  Re-run }

Components with no mnemonic :
javax.swing.JButton {  |  Ant Settings } 
javax.swing.JButton {  |  Stop } 
javax.swing.JButton {  |  Re-run with Different Parameters } 
javax.swing.JButton {  |  Re-run }

Components not reachable with tab traversal :
javax.swing.JButton {  |  Ant Settings } 
javax.swing.JButton {  |  Stop } 
javax.swing.JButton {  |  Re-run with Different Parameters } 
javax.swing.JButton {  |  Re-run }
Comment 1 Martin Entlicher 2011-01-07 08:18:06 UTC
If the action provides an accelerator key (shortcut), it's available via that shortcut. But probably due to the lack of available shortcuts, these ANT actions do not provide any.
It does not have sense to define mnemonics, since the actions do not have any text.
The actions are reachable via TAB traversal, but only when the first action is enabled. CTRL-4 puts me into Output Window and then TAB moves the focus to the enabled button. We need to explore why the focus is not moved when the first button is not enabled.
The accessibility name needs to be defined.
Comment 2 Martin Entlicher 2011-01-07 13:34:35 UTC
Accessible name and description is defined now:
changeset:   185886:feffa7d4cd4e
http://hg.netbeans.org/main/rev/feffa7d4cd4e

The TAB traversal works only if the executed program is finished. When the program is running, the output pane is editable for the case of program input and therefore TAB is not switching the focus.
Main menu can be used as an accessible workaround to get to ANT actions.
Comment 3 Quality Engineering 2011-01-09 06:23:32 UTC
Integrated into 'main-golden', will be available in build *201101090000* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/feffa7d4cd4e
User: mentlicher@netbeans.org
Log: #192474 Accessible name and description is added for tollbar buttons.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo